Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Enumerations | Functions
vm_args.c File Reference

Go to the source code of this file.

## Data Structures
struct | args_info
struct | fill_values_arg

## Macros
#define | KW_HASH_HAS_NO_KEYS 0
#define | KW_HASH_HAS_SYMBOL_KEY 1
#define | KW_HASH_HAS_OTHER_KEY 2
#define | KW_HASH_HAS_BOTH_KEYS 3
#define | KW_SPECIFIED_BITS_MAX (32-1) /* TODO: 32 -> Fixnum's max bits */

## Enumerations
enum | arg_setup_type { arg_setup_method, arg_setup_block, arg_setup_method, arg_setup_block }

## Functions
| NORETURN (static void raise_argument_error(rb_execution_context_t *ec, const rb_iseq_t *iseq, const VALUE exc))
| NORETURN (static void argument_arity_error(rb_execution_context_t *ec, const rb_iseq_t *iseq, const int miss_argc, const int min_argc, const int max_argc))
| NORETURN (static void argument_kw_error(rb_execution_context_t *ec, const rb_iseq_t *iseq, const char *error, const VALUE keys))
VALUE | rb_keyword_error_new (const char *error, VALUE keys)
const MJIT_FUNC_EXPORTED rb_callable_method_entry_t * | rb_resolve_refined_method_callable (VALUE refinements, const rb_callable_method_entry_t *me)
VALUE | rb_iseq_location (const rb_iseq_t *iseq)
void | rb_backtrace_use_iseq_first_lineno_for_last_location (VALUE self)

## Macro Definition Documentation

## ◆ KW_HASH_HAS_BOTH_KEYS

#define KW_HASH_HAS_BOTH_KEYS 3

Definition at line 193 of file vm_args.c.

## ◆ KW_HASH_HAS_NO_KEYS

#define KW_HASH_HAS_NO_KEYS 0

Definition at line 190 of file vm_args.c.

## ◆ KW_HASH_HAS_OTHER_KEY

#define KW_HASH_HAS_OTHER_KEY 2

Definition at line 192 of file vm_args.c.

## ◆ KW_HASH_HAS_SYMBOL_KEY

#define KW_HASH_HAS_SYMBOL_KEY 1

Definition at line 191 of file vm_args.c.

## ◆ KW_SPECIFIED_BITS_MAX

#define KW_SPECIFIED_BITS_MAX (32-1) /* TODO: 32 -> Fixnum's max bits */

Definition at line 465 of file vm_args.c.

## Enumeration Type Documentation

## ◆ arg_setup_type

enum arg_setup_type

Enumerator
arg_setup_method |
arg_setup_block |
arg_setup_method |
arg_setup_block |

Definition at line 35 of file vm_args.c.

## Function Documentation

## ◆ NORETURN() [1/3]

NORETURN | ( | static void | argument_arity_errorrb_execution_context_t *ec, const rb_iseq_t *iseq, const int miss_argc, const int min_argc, const int max_argc | ) |

## ◆ NORETURN() [2/3]

NORETURN | ( | static void | argument_kw_errorrb_execution_context_t *ec, const rb_iseq_t *iseq, const char *error, const VALUE keys | ) |

## ◆ NORETURN() [3/3]

NORETURN | ( | static void | raise_argument_errorrb_execution_context_t *ec, const rb_iseq_t *iseq, const VALUE exc | ) |

## ◆ rb_backtrace_use_iseq_first_lineno_for_last_location()

void rb_backtrace_use_iseq_first_lineno_for_last_location | ( | VALUE | self | ) |

Definition at line 632 of file vm_backtrace.c.

## ◆ rb_iseq_location()

VALUE rb_iseq_location | ( | const rb_iseq_t * | iseq | ) |

Definition at line 1242 of file proc.c.

## ◆ rb_resolve_refined_method_callable()

const MJIT_FUNC_EXPORTED rb_callable_method_entry_t* rb_resolve_refined_method_callable | ( | VALUE | refinements,
|  | const rb_callable_method_entry_t * | me
| ) |  |

Definition at line 979 of file vm_method.c.

References rb_callable_method_entry_struct::defined_class, and me.